## trojita 0.2-1

=== Makefile ===
#############################################################################
# Makefile for building: trojita
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:17 2010
# Project:  trojita.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile trojita.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-tests

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/src.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/src.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
tests/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) tests/ || $(MKDIR) tests/ 
	cd tests/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/tests.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-tests-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) tests/ || $(MKDIR) tests/ 
	cd tests/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/tests.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-tests: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE)
sub-tests-make_default-ordered: tests/$(MAKEFILE) sub-src-make_default-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) 
sub-tests-make_default: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) 
sub-tests-make_first-ordered: tests/$(MAKEFILE) sub-src-make_first-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) first
sub-tests-make_first: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) first
sub-tests-all-ordered: tests/$(MAKEFILE) sub-src-all-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) all
sub-tests-all: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) all
sub-tests-clean-ordered: tests/$(MAKEFILE) sub-src-clean-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-tests-clean: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) clean
sub-tests-distclean-ordered: tests/$(MAKEFILE) sub-src-distclean-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-tests-distclean: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) distclean
sub-tests-install_subtargets-ordered: tests/$(MAKEFILE) sub-src-install_subtargets-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) install
sub-tests-install_subtargets: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) install
sub-tests-uninstall_subtargets-ordered: tests/$(MAKEFILE) sub-src-uninstall_subtargets-ordered  FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-tests-uninstall_subtargets: tests/$(MAKEFILE) FORCE
	cd tests/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: trojita.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix CONFIG+=maemo -o Makefile trojita.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix CONFIG+=maemo -o Makefile trojita.pro

qmake_all: sub-src-qmake_all sub-tests-qmake_all FORCE

make_default: sub-src-make_default-ordered sub-tests-make_default-ordered FORCE
make_first: sub-src-make_first-ordered sub-tests-make_first-ordered FORCE
all: sub-src-all-ordered sub-tests-all-ordered FORCE
clean: sub-src-clean-ordered sub-tests-clean-ordered FORCE
distclean: sub-src-distclean-ordered sub-tests-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets-ordered sub-tests-install_subtargets-ordered FORCE
uninstall_subtargets: sub-src-uninstall_subtargets-ordered sub-tests-uninstall_subtargets-ordered FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: src
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:17 2010
# Project:  src.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile src.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-Imap \
		sub-MSA \
		sub-Streams \
		sub-iconloader \
		sub-qwwsmtpclient \
		sub-MaemoGui

Imap/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) Imap/ || $(MKDIR) Imap/ 
	cd Imap/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/Imap/Imap.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-Imap-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) Imap/ || $(MKDIR) Imap/ 
	cd Imap/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/Imap/Imap.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-Imap: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE)
sub-Imap-make_default-ordered: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) 
sub-Imap-make_default: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) 
sub-Imap-make_first-ordered: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) first
sub-Imap-make_first: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) first
sub-Imap-all-ordered: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) all
sub-Imap-all: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) all
sub-Imap-clean-ordered: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) clean
sub-Imap-clean: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) clean
sub-Imap-distclean-ordered: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) distclean
sub-Imap-distclean: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) distclean
sub-Imap-install_subtargets-ordered: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) install
sub-Imap-install_subtargets: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) install
sub-Imap-uninstall_subtargets-ordered: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-Imap-uninstall_subtargets: Imap/$(MAKEFILE) FORCE
	cd Imap/ && $(MAKE) -f $(MAKEFILE) uninstall
MSA/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) MSA/ || $(MKDIR) MSA/ 
	cd MSA/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/MSA/MSA.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-MSA-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) MSA/ || $(MKDIR) MSA/ 
	cd MSA/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/MSA/MSA.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-MSA: MSA/$(MAKEFILE) FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE)
sub-MSA-make_default-ordered: MSA/$(MAKEFILE) sub-Imap-make_default-ordered  FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) 
sub-MSA-make_default: MSA/$(MAKEFILE) FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) 
sub-MSA-make_first-ordered: MSA/$(MAKEFILE) sub-Imap-make_first-ordered  FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) first
sub-MSA-make_first: MSA/$(MAKEFILE) FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) first
sub-MSA-all-ordered: MSA/$(MAKEFILE) sub-Imap-all-ordered  FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) all
sub-MSA-all: MSA/$(MAKEFILE) FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) all
sub-MSA-clean-ordered: MSA/$(MAKEFILE) sub-Imap-clean-ordered  FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) clean
sub-MSA-clean: MSA/$(MAKEFILE) FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) clean
sub-MSA-distclean-ordered: MSA/$(MAKEFILE) sub-Imap-distclean-ordered  FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) distclean
sub-MSA-distclean: MSA/$(MAKEFILE) FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) distclean
sub-MSA-install_subtargets-ordered: MSA/$(MAKEFILE) sub-Imap-install_subtargets-ordered  FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) install
sub-MSA-install_subtargets: MSA/$(MAKEFILE) FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) install
sub-MSA-uninstall_subtargets-ordered: MSA/$(MAKEFILE) sub-Imap-uninstall_subtargets-ordered  FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-MSA-uninstall_subtargets: MSA/$(MAKEFILE) FORCE
	cd MSA/ && $(MAKE) -f $(MAKEFILE) uninstall
Streams/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) Streams/ || $(MKDIR) Streams/ 
	cd Streams/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/Streams/Streams.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-Streams-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) Streams/ || $(MKDIR) Streams/ 
	cd Streams/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/Streams/Streams.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-Streams: Streams/$(MAKEFILE) FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE)
sub-Streams-make_default-ordered: Streams/$(MAKEFILE) sub-MSA-make_default-ordered  FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) 
sub-Streams-make_default: Streams/$(MAKEFILE) FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) 
sub-Streams-make_first-ordered: Streams/$(MAKEFILE) sub-MSA-make_first-ordered  FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) first
sub-Streams-make_first: Streams/$(MAKEFILE) FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) first
sub-Streams-all-ordered: Streams/$(MAKEFILE) sub-MSA-all-ordered  FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) all
sub-Streams-all: Streams/$(MAKEFILE) FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) all
sub-Streams-clean-ordered: Streams/$(MAKEFILE) sub-MSA-clean-ordered  FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) clean
sub-Streams-clean: Streams/$(MAKEFILE) FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) clean
sub-Streams-distclean-ordered: Streams/$(MAKEFILE) sub-MSA-distclean-ordered  FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) distclean
sub-Streams-distclean: Streams/$(MAKEFILE) FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) distclean
sub-Streams-install_subtargets-ordered: Streams/$(MAKEFILE) sub-MSA-install_subtargets-ordered  FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) install
sub-Streams-install_subtargets: Streams/$(MAKEFILE) FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) install
sub-Streams-uninstall_subtargets-ordered: Streams/$(MAKEFILE) sub-MSA-uninstall_subtargets-ordered  FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-Streams-uninstall_subtargets: Streams/$(MAKEFILE) FORCE
	cd Streams/ && $(MAKE) -f $(MAKEFILE) uninstall
iconloader/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) iconloader/ || $(MKDIR) iconloader/ 
	cd iconloader/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/iconloader/iconloader.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-iconloader-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) iconloader/ || $(MKDIR) iconloader/ 
	cd iconloader/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/iconloader/iconloader.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-iconloader: iconloader/$(MAKEFILE) FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE)
sub-iconloader-make_default-ordered: iconloader/$(MAKEFILE) sub-Streams-make_default-ordered  FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) 
sub-iconloader-make_default: iconloader/$(MAKEFILE) FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) 
sub-iconloader-make_first-ordered: iconloader/$(MAKEFILE) sub-Streams-make_first-ordered  FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) first
sub-iconloader-make_first: iconloader/$(MAKEFILE) FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) first
sub-iconloader-all-ordered: iconloader/$(MAKEFILE) sub-Streams-all-ordered  FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) all
sub-iconloader-all: iconloader/$(MAKEFILE) FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) all
sub-iconloader-clean-ordered: iconloader/$(MAKEFILE) sub-Streams-clean-ordered  FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) clean
sub-iconloader-clean: iconloader/$(MAKEFILE) FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) clean
sub-iconloader-distclean-ordered: iconloader/$(MAKEFILE) sub-Streams-distclean-ordered  FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) distclean
sub-iconloader-distclean: iconloader/$(MAKEFILE) FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) distclean
sub-iconloader-install_subtargets-ordered: iconloader/$(MAKEFILE) sub-Streams-install_subtargets-ordered  FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) install
sub-iconloader-install_subtargets: iconloader/$(MAKEFILE) FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) install
sub-iconloader-uninstall_subtargets-ordered: iconloader/$(MAKEFILE) sub-Streams-uninstall_subtargets-ordered  FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-iconloader-uninstall_subtargets: iconloader/$(MAKEFILE) FORCE
	cd iconloader/ && $(MAKE) -f $(MAKEFILE) uninstall
qwwsmtpclient/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) qwwsmtpclient/ || $(MKDIR) qwwsmtpclient/ 
	cd qwwsmtpclient/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/qwwsmtpclient/qwwsmtpclient.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-qwwsmtpclient-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) qwwsmtpclient/ || $(MKDIR) qwwsmtpclient/ 
	cd qwwsmtpclient/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/qwwsmtpclient/qwwsmtpclient.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-qwwsmtpclient: qwwsmtpclient/$(MAKEFILE) FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE)
sub-qwwsmtpclient-make_default-ordered: qwwsmtpclient/$(MAKEFILE) sub-iconloader-make_default-ordered  FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) 
sub-qwwsmtpclient-make_default: qwwsmtpclient/$(MAKEFILE) FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) 
sub-qwwsmtpclient-make_first-ordered: qwwsmtpclient/$(MAKEFILE) sub-iconloader-make_first-ordered  FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) first
sub-qwwsmtpclient-make_first: qwwsmtpclient/$(MAKEFILE) FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) first
sub-qwwsmtpclient-all-ordered: qwwsmtpclient/$(MAKEFILE) sub-iconloader-all-ordered  FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) all
sub-qwwsmtpclient-all: qwwsmtpclient/$(MAKEFILE) FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) all
sub-qwwsmtpclient-clean-ordered: qwwsmtpclient/$(MAKEFILE) sub-iconloader-clean-ordered  FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) clean
sub-qwwsmtpclient-clean: qwwsmtpclient/$(MAKEFILE) FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) clean
sub-qwwsmtpclient-distclean-ordered: qwwsmtpclient/$(MAKEFILE) sub-iconloader-distclean-ordered  FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) distclean
sub-qwwsmtpclient-distclean: qwwsmtpclient/$(MAKEFILE) FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) distclean
sub-qwwsmtpclient-install_subtargets-ordered: qwwsmtpclient/$(MAKEFILE) sub-iconloader-install_subtargets-ordered  FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) install
sub-qwwsmtpclient-install_subtargets: qwwsmtpclient/$(MAKEFILE) FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) install
sub-qwwsmtpclient-uninstall_subtargets-ordered: qwwsmtpclient/$(MAKEFILE) sub-iconloader-uninstall_subtargets-ordered  FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-qwwsmtpclient-uninstall_subtargets: qwwsmtpclient/$(MAKEFILE) FORCE
	cd qwwsmtpclient/ && $(MAKE) -f $(MAKEFILE) uninstall
MaemoGui/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) MaemoGui/ || $(MKDIR) MaemoGui/ 
	cd MaemoGui/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/MaemoGui/MaemoGui.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-MaemoGui-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) MaemoGui/ || $(MKDIR) MaemoGui/ 
	cd MaemoGui/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/src/MaemoGui/MaemoGui.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-MaemoGui: MaemoGui/$(MAKEFILE) FORCE
	cd MaemoGui/ && $(MAKE) -f $(MAKEFILE)
sub-MaemoGui-make_default-ordered: MaemoGui/$(MAKEFILE) sub-qwwsmtpclient-make_default-ordered  FORCE
	cd MaemoGui/ && $(MAKE) -f $(MAKEFILE) 
sub-MaemoGui-make_default: MaemoGui/$(MAKEFILE) FORCE

=== tests/Makefile ===
#############################################################################
# Makefile for building: tests
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:17 2010
# Project:  tests.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile tests.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-test_Imap_LowLevelParser \
		sub-test_Imap_Message \
		sub-test_Imap_Parser_parse \
		sub-test_Imap_Responses \
		sub-test_rfccodecs \
		sub-test_Imap_Model

test_Imap_LowLevelParser/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test_Imap_LowLevelParser/ || $(MKDIR) test_Imap_LowLevelParser/ 
	cd test_Imap_LowLevelParser/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_Imap_LowLevelParser/test_Imap_LowLevelParser.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_Imap_LowLevelParser-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test_Imap_LowLevelParser/ || $(MKDIR) test_Imap_LowLevelParser/ 
	cd test_Imap_LowLevelParser/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_Imap_LowLevelParser/test_Imap_LowLevelParser.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_Imap_LowLevelParser: test_Imap_LowLevelParser/$(MAKEFILE) FORCE
	cd test_Imap_LowLevelParser/ && $(MAKE) -f $(MAKEFILE)
sub-test_Imap_LowLevelParser-make_default: test_Imap_LowLevelParser/$(MAKEFILE) FORCE
	cd test_Imap_LowLevelParser/ && $(MAKE) -f $(MAKEFILE) 
sub-test_Imap_LowLevelParser-make_first: test_Imap_LowLevelParser/$(MAKEFILE) FORCE
	cd test_Imap_LowLevelParser/ && $(MAKE) -f $(MAKEFILE) first
sub-test_Imap_LowLevelParser-all: test_Imap_LowLevelParser/$(MAKEFILE) FORCE
	cd test_Imap_LowLevelParser/ && $(MAKE) -f $(MAKEFILE) all
sub-test_Imap_LowLevelParser-clean: test_Imap_LowLevelParser/$(MAKEFILE) FORCE
	cd test_Imap_LowLevelParser/ && $(MAKE) -f $(MAKEFILE) clean
sub-test_Imap_LowLevelParser-distclean: test_Imap_LowLevelParser/$(MAKEFILE) FORCE
	cd test_Imap_LowLevelParser/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test_Imap_LowLevelParser-install_subtargets: test_Imap_LowLevelParser/$(MAKEFILE) FORCE
	cd test_Imap_LowLevelParser/ && $(MAKE) -f $(MAKEFILE) install
sub-test_Imap_LowLevelParser-uninstall_subtargets: test_Imap_LowLevelParser/$(MAKEFILE) FORCE
	cd test_Imap_LowLevelParser/ && $(MAKE) -f $(MAKEFILE) uninstall
test_Imap_Message/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test_Imap_Message/ || $(MKDIR) test_Imap_Message/ 
	cd test_Imap_Message/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_Imap_Message/test_Imap_Message.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_Imap_Message-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test_Imap_Message/ || $(MKDIR) test_Imap_Message/ 
	cd test_Imap_Message/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_Imap_Message/test_Imap_Message.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_Imap_Message: test_Imap_Message/$(MAKEFILE) FORCE
	cd test_Imap_Message/ && $(MAKE) -f $(MAKEFILE)
sub-test_Imap_Message-make_default: test_Imap_Message/$(MAKEFILE) FORCE
	cd test_Imap_Message/ && $(MAKE) -f $(MAKEFILE) 
sub-test_Imap_Message-make_first: test_Imap_Message/$(MAKEFILE) FORCE
	cd test_Imap_Message/ && $(MAKE) -f $(MAKEFILE) first
sub-test_Imap_Message-all: test_Imap_Message/$(MAKEFILE) FORCE
	cd test_Imap_Message/ && $(MAKE) -f $(MAKEFILE) all
sub-test_Imap_Message-clean: test_Imap_Message/$(MAKEFILE) FORCE
	cd test_Imap_Message/ && $(MAKE) -f $(MAKEFILE) clean
sub-test_Imap_Message-distclean: test_Imap_Message/$(MAKEFILE) FORCE
	cd test_Imap_Message/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test_Imap_Message-install_subtargets: test_Imap_Message/$(MAKEFILE) FORCE
	cd test_Imap_Message/ && $(MAKE) -f $(MAKEFILE) install
sub-test_Imap_Message-uninstall_subtargets: test_Imap_Message/$(MAKEFILE) FORCE
	cd test_Imap_Message/ && $(MAKE) -f $(MAKEFILE) uninstall
test_Imap_Parser_parse/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test_Imap_Parser_parse/ || $(MKDIR) test_Imap_Parser_parse/ 
	cd test_Imap_Parser_parse/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_Imap_Parser_parse/test_Imap_Parser_parse.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_Imap_Parser_parse-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test_Imap_Parser_parse/ || $(MKDIR) test_Imap_Parser_parse/ 
	cd test_Imap_Parser_parse/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_Imap_Parser_parse/test_Imap_Parser_parse.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_Imap_Parser_parse: test_Imap_Parser_parse/$(MAKEFILE) FORCE
	cd test_Imap_Parser_parse/ && $(MAKE) -f $(MAKEFILE)
sub-test_Imap_Parser_parse-make_default: test_Imap_Parser_parse/$(MAKEFILE) FORCE
	cd test_Imap_Parser_parse/ && $(MAKE) -f $(MAKEFILE) 
sub-test_Imap_Parser_parse-make_first: test_Imap_Parser_parse/$(MAKEFILE) FORCE
	cd test_Imap_Parser_parse/ && $(MAKE) -f $(MAKEFILE) first
sub-test_Imap_Parser_parse-all: test_Imap_Parser_parse/$(MAKEFILE) FORCE
	cd test_Imap_Parser_parse/ && $(MAKE) -f $(MAKEFILE) all
sub-test_Imap_Parser_parse-clean: test_Imap_Parser_parse/$(MAKEFILE) FORCE
	cd test_Imap_Parser_parse/ && $(MAKE) -f $(MAKEFILE) clean
sub-test_Imap_Parser_parse-distclean: test_Imap_Parser_parse/$(MAKEFILE) FORCE
	cd test_Imap_Parser_parse/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test_Imap_Parser_parse-install_subtargets: test_Imap_Parser_parse/$(MAKEFILE) FORCE
	cd test_Imap_Parser_parse/ && $(MAKE) -f $(MAKEFILE) install
sub-test_Imap_Parser_parse-uninstall_subtargets: test_Imap_Parser_parse/$(MAKEFILE) FORCE
	cd test_Imap_Parser_parse/ && $(MAKE) -f $(MAKEFILE) uninstall
test_Imap_Responses/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test_Imap_Responses/ || $(MKDIR) test_Imap_Responses/ 
	cd test_Imap_Responses/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_Imap_Responses/test_Imap_Responses.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_Imap_Responses-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test_Imap_Responses/ || $(MKDIR) test_Imap_Responses/ 
	cd test_Imap_Responses/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_Imap_Responses/test_Imap_Responses.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_Imap_Responses: test_Imap_Responses/$(MAKEFILE) FORCE
	cd test_Imap_Responses/ && $(MAKE) -f $(MAKEFILE)
sub-test_Imap_Responses-make_default: test_Imap_Responses/$(MAKEFILE) FORCE
	cd test_Imap_Responses/ && $(MAKE) -f $(MAKEFILE) 
sub-test_Imap_Responses-make_first: test_Imap_Responses/$(MAKEFILE) FORCE
	cd test_Imap_Responses/ && $(MAKE) -f $(MAKEFILE) first
sub-test_Imap_Responses-all: test_Imap_Responses/$(MAKEFILE) FORCE
	cd test_Imap_Responses/ && $(MAKE) -f $(MAKEFILE) all
sub-test_Imap_Responses-clean: test_Imap_Responses/$(MAKEFILE) FORCE
	cd test_Imap_Responses/ && $(MAKE) -f $(MAKEFILE) clean
sub-test_Imap_Responses-distclean: test_Imap_Responses/$(MAKEFILE) FORCE
	cd test_Imap_Responses/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test_Imap_Responses-install_subtargets: test_Imap_Responses/$(MAKEFILE) FORCE
	cd test_Imap_Responses/ && $(MAKE) -f $(MAKEFILE) install
sub-test_Imap_Responses-uninstall_subtargets: test_Imap_Responses/$(MAKEFILE) FORCE
	cd test_Imap_Responses/ && $(MAKE) -f $(MAKEFILE) uninstall
test_rfccodecs/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test_rfccodecs/ || $(MKDIR) test_rfccodecs/ 
	cd test_rfccodecs/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_rfccodecs/test_rfccodecs.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_rfccodecs-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test_rfccodecs/ || $(MKDIR) test_rfccodecs/ 
	cd test_rfccodecs/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_rfccodecs/test_rfccodecs.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_rfccodecs: test_rfccodecs/$(MAKEFILE) FORCE
	cd test_rfccodecs/ && $(MAKE) -f $(MAKEFILE)
sub-test_rfccodecs-make_default: test_rfccodecs/$(MAKEFILE) FORCE
	cd test_rfccodecs/ && $(MAKE) -f $(MAKEFILE) 
sub-test_rfccodecs-make_first: test_rfccodecs/$(MAKEFILE) FORCE
	cd test_rfccodecs/ && $(MAKE) -f $(MAKEFILE) first
sub-test_rfccodecs-all: test_rfccodecs/$(MAKEFILE) FORCE
	cd test_rfccodecs/ && $(MAKE) -f $(MAKEFILE) all
sub-test_rfccodecs-clean: test_rfccodecs/$(MAKEFILE) FORCE
	cd test_rfccodecs/ && $(MAKE) -f $(MAKEFILE) clean
sub-test_rfccodecs-distclean: test_rfccodecs/$(MAKEFILE) FORCE
	cd test_rfccodecs/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test_rfccodecs-install_subtargets: test_rfccodecs/$(MAKEFILE) FORCE
	cd test_rfccodecs/ && $(MAKE) -f $(MAKEFILE) install
sub-test_rfccodecs-uninstall_subtargets: test_rfccodecs/$(MAKEFILE) FORCE
	cd test_rfccodecs/ && $(MAKE) -f $(MAKEFILE) uninstall
test_Imap_Model/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test_Imap_Model/ || $(MKDIR) test_Imap_Model/ 
	cd test_Imap_Model/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_Imap_Model/test_Imap_Model.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_Imap_Model-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test_Imap_Model/ || $(MKDIR) test_Imap_Model/ 
	cd test_Imap_Model/ && $(QMAKE) /home/btsai/maemo/sandbox/trojita/tests/test_Imap_Model/test_Imap_Model.pro -unix CONFIG+=maemo -o $(MAKEFILE)
sub-test_Imap_Model: test_Imap_Model/$(MAKEFILE) FORCE
	cd test_Imap_Model/ && $(MAKE) -f $(MAKEFILE)
sub-test_Imap_Model-make_default: test_Imap_Model/$(MAKEFILE) FORCE
	cd test_Imap_Model/ && $(MAKE) -f $(MAKEFILE) 
sub-test_Imap_Model-make_first: test_Imap_Model/$(MAKEFILE) FORCE
	cd test_Imap_Model/ && $(MAKE) -f $(MAKEFILE) first
sub-test_Imap_Model-all: test_Imap_Model/$(MAKEFILE) FORCE
	cd test_Imap_Model/ && $(MAKE) -f $(MAKEFILE) all
sub-test_Imap_Model-clean: test_Imap_Model/$(MAKEFILE) FORCE
	cd test_Imap_Model/ && $(MAKE) -f $(MAKEFILE) clean
sub-test_Imap_Model-distclean: test_Imap_Model/$(MAKEFILE) FORCE
	cd test_Imap_Model/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test_Imap_Model-install_subtargets: test_Imap_Model/$(MAKEFILE) FORCE
	cd test_Imap_Model/ && $(MAKE) -f $(MAKEFILE) install
sub-test_Imap_Model-uninstall_subtargets: test_Imap_Model/$(MAKEFILE) FORCE
	cd test_Imap_Model/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: tests.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix CONFIG+=maemo -o Makefile tests.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:

=== src/Imap/Makefile ===
#############################################################################
# Makefile for building: libImap.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:17 2010
# Project:  Imap.pro
# Template: lib
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile Imap.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtSql -I/targets/FREMANTLE_X86/usr/include -I.. -I../.. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = Parser/Parser.cpp \
		Parser/Command.cpp \
		Parser/Response.cpp \
		Parser/LowLevelParser.cpp \
		Parser/Data.cpp \
		Parser/Message.cpp \
		Parser/3rdparty/rfccodecs.cpp \
		Parser/3rdparty/kcodecs.cpp \
		Parser/3rdparty/qmailcodec.cpp \
		Encoders.cpp \
		Exceptions.cpp \
		Model/Model.cpp \
		Model/MailboxMetadata.cpp \
		Model/UnauthenticatedHandler.cpp \
		Model/AuthenticatedHandler.cpp \
		Model/SelectedHandler.cpp \
		Model/SelectingHandler.cpp \
		Model/ModelUpdaters.cpp \
		Model/MailboxModel.cpp \
		Model/PrettyMailboxModel.cpp \
		Model/MsgListModel.cpp \
		Model/MailboxTree.cpp \
		Model/MemoryCache.cpp \
		Model/SQLCache.cpp \
		Model/DiskPartCache.cpp \
		Model/CombinedCache.cpp \
		Model/Utils.cpp \
		Model/IdleLauncher.cpp \
		Model/ModelWatcher.cpp \
		Network/MsgPartNetworkReply.cpp \
		Network/ForbiddenReply.cpp \
		Network/FormattingReply.cpp \
		Network/MsgPartNetAccessManager.cpp \
		Network/AuxiliaryReply.cpp moc_Parser.cpp \
		moc_Model.cpp \
		moc_UnauthenticatedHandler.cpp \
		moc_AuthenticatedHandler.cpp \
		moc_SelectedHandler.cpp \
		moc_SelectingHandler.cpp \
		moc_ModelUpdaters.cpp \
		moc_MailboxModel.cpp \
		moc_PrettyMailboxModel.cpp \
		moc_MsgListModel.cpp \
		moc_MemoryCache.cpp \
		moc_SQLCache.cpp \
		moc_DiskPartCache.cpp \
		moc_CombinedCache.cpp \
		moc_Cache.cpp \
		moc_Utils.cpp \
		moc_IdleLauncher.cpp \
		moc_ModelWatcher.cpp \
		moc_ForbiddenReply.cpp \
		moc_AuxiliaryReply.cpp \
		moc_MsgPartNetAccessManager.cpp \
		moc_MsgPartNetworkReply.cpp \
		moc_FormattingReply.cpp
OBJECTS       = Parser.o \
		Command.o \
		Response.o \
		LowLevelParser.o \
		Data.o \
		Message.o \
		rfccodecs.o \
		kcodecs.o \
		qmailcodec.o \
		Encoders.o \
		Exceptions.o \
		Model.o \
		MailboxMetadata.o \
		UnauthenticatedHandler.o \
		AuthenticatedHandler.o \
		SelectedHandler.o \
		SelectingHandler.o \
		ModelUpdaters.o \
		MailboxModel.o \
		PrettyMailboxModel.o \
		MsgListModel.o \
		MailboxTree.o \
		MemoryCache.o \
		SQLCache.o \
		DiskPartCache.o \
		CombinedCache.o \
		Utils.o \
		IdleLauncher.o \
		ModelWatcher.o \
		MsgPartNetworkReply.o \
		ForbiddenReply.o \
		FormattingReply.o \
		MsgPartNetAccessManager.o \
		AuxiliaryReply.o \
		moc_Parser.o \
		moc_Model.o \
		moc_UnauthenticatedHandler.o \
		moc_AuthenticatedHandler.o \
		moc_SelectedHandler.o \
		moc_SelectingHandler.o \
		moc_ModelUpdaters.o \
		moc_MailboxModel.o \
		moc_PrettyMailboxModel.o \
		moc_MsgListModel.o \
		moc_MemoryCache.o \
		moc_SQLCache.o \
		moc_DiskPartCache.o \
		moc_CombinedCache.o \
		moc_Cache.o \
		moc_Utils.o \
		moc_IdleLauncher.o \
		moc_ModelWatcher.o \
		moc_ForbiddenReply.o \
		moc_AuxiliaryReply.o \
		moc_MsgPartNetAccessManager.o \
		moc_MsgPartNetworkReply.o \
		moc_FormattingReply.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		Imap.pro
QMAKE_TARGET  = Imap
DESTDIR       = 
TARGET        = libImap.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: Imap.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix CONFIG+=maemo -o Makefile Imap.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=maemo -o Makefile Imap.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Imap1.0.0 || $(MKDIR) .tmp/Imap1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Imap1.0.0/ && $(COPY_FILE) --parents Parser/Parser.h Parser/Command.h Parser/Response.h Parser/LowLevelParser.h Parser/Data.h Parser/Message.h Parser/3rdparty/rfccodecs.h Parser/3rdparty/kcodecs.h Parser/3rdparty/qmailcodec.h Encoders.h Exceptions.h ConnectionState.h Model/Model.h Model/MailboxMetadata.h Model/UnauthenticatedHandler.h Model/AuthenticatedHandler.h Model/SelectedHandler.h Model/SelectingHandler.h Model/ModelUpdaters.h Model/MailboxModel.h Model/PrettyMailboxModel.h Model/MsgListModel.h Model/MailboxTree.h Model/MemoryCache.h Model/SQLCache.h Model/DiskPartCache.h Model/CombinedCache.h Model/Cache.h Model/Utils.h Model/IdleLauncher.h Model/ModelWatcher.h Network/ForbiddenReply.h Network/AuxiliaryReply.h Network/MsgPartNetAccessManager.h Network/MsgPartNetworkReply.h Network/FormattingReply.h .tmp/Imap1.0.0/ && $(COPY_FILE) --parents Parser/Parser.cpp Parser/Command.cpp Parser/Response.cpp Parser/LowLevelParser.cpp Parser/Data.cpp Parser/Message.cpp Parser/3rdparty/rfccodecs.cpp Parser/3rdparty/kcodecs.cpp Parser/3rdparty/qmailcodec.cpp Encoders.cpp Exceptions.cpp Model/Model.cpp Model/MailboxMetadata.cpp Model/UnauthenticatedHandler.cpp Model/AuthenticatedHandler.cpp Model/SelectedHandler.cpp Model/SelectingHandler.cpp Model/ModelUpdaters.cpp Model/MailboxModel.cpp Model/PrettyMailboxModel.cpp Model/MsgListModel.cpp Model/MailboxTree.cpp Model/MemoryCache.cpp Model/SQLCache.cpp Model/DiskPartCache.cpp Model/CombinedCache.cpp Model/Utils.cpp Model/IdleLauncher.cpp Model/ModelWatcher.cpp Network/MsgPartNetworkReply.cpp Network/ForbiddenReply.cpp Network/FormattingReply.cpp Network/MsgPartNetAccessManager.cpp Network/AuxiliaryReply.cpp .tmp/Imap1.0.0/ && (cd `dirname .tmp/Imap1.0.0` && $(TAR) Imap1.0.0.tar Imap1.0.0 && $(COMPRESS) Imap1.0.0.tar) && $(MOVE) `dirname .tmp/Imap1.0.0`/Imap1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Imap1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

=== src/MSA/Makefile ===
#############################################################################
# Makefile for building: libMSA.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:17 2010
# Project:  MSA.pro
# Template: lib
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile MSA.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I.. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = AbstractMSA.cpp \
		SMTP.cpp \
		Sendmail.cpp moc_AbstractMSA.cpp \
		moc_SMTP.cpp \
		moc_Sendmail.cpp
OBJECTS       = AbstractMSA.o \
		SMTP.o \
		Sendmail.o \
		moc_AbstractMSA.o \
		moc_SMTP.o \
		moc_Sendmail.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		MSA.pro
QMAKE_TARGET  = MSA
DESTDIR       = 
TARGET        = libMSA.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: MSA.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix CONFIG+=maemo -o Makefile MSA.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=maemo -o Makefile MSA.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/MSA1.0.0 || $(MKDIR) .tmp/MSA1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/MSA1.0.0/ && $(COPY_FILE) --parents AbstractMSA.h SMTP.h Sendmail.h .tmp/MSA1.0.0/ && $(COPY_FILE) --parents AbstractMSA.cpp SMTP.cpp Sendmail.cpp .tmp/MSA1.0.0/ && (cd `dirname .tmp/MSA1.0.0` && $(TAR) MSA1.0.0.tar MSA1.0.0 && $(COMPRESS) MSA1.0.0.tar) && $(MOVE) `dirname .tmp/MSA1.0.0`/MSA1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/MSA1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_AbstractMSA.cpp moc_SMTP.cpp moc_Sendmail.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_AbstractMSA.cpp moc_SMTP.cpp moc_Sendmail.cpp
moc_AbstractMSA.cpp: AbstractMSA.h
	/usr/bin/moc $(DEFINES) $(INCPATH) AbstractMSA.h -o moc_AbstractMSA.cpp

moc_SMTP.cpp: AbstractMSA.h \
		../qwwsmtpclient/qwwsmtpclient.h \
		SMTP.h
	/usr/bin/moc $(DEFINES) $(INCPATH) SMTP.h -o moc_SMTP.cpp

moc_Sendmail.cpp: AbstractMSA.h \
		Sendmail.h
	/usr/bin/moc $(DEFINES) $(INCPATH) Sendmail.h -o moc_Sendmail.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

AbstractMSA.o: AbstractMSA.cpp AbstractMSA.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o AbstractMSA.o AbstractMSA.cpp

SMTP.o: SMTP.cpp SMTP.h \
		AbstractMSA.h \
		../qwwsmtpclient/qwwsmtpclient.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SMTP.o SMTP.cpp

Sendmail.o: Sendmail.cpp Sendmail.h \
		AbstractMSA.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Sendmail.o Sendmail.cpp

moc_AbstractMSA.o: moc_AbstractMSA.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_AbstractMSA.o moc_AbstractMSA.cpp

moc_SMTP.o: moc_SMTP.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_SMTP.o moc_SMTP.cpp

moc_Sendmail.o: moc_Sendmail.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_Sendmail.o moc_Sendmail.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== src/MaemoGui/Makefile ===
#############################################################################
# Makefile for building: trojita
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:18 2010
# Project:  MaemoGui.pro
# Template: app
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile MaemoGui.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DHAS_GITVERSION -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -ggdb -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtSql -I/targets/FREMANTLE_X86/usr/include/QtWebKit -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I.. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L../Imap -lImap -L../MSA -lMSA -L../Streams -lStreams -L../iconloader -liconloader -L../qwwsmtpclient -lqwwsmtpclient -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtSql -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		MessageView.cpp \
		EmbeddedWebView.cpp \
		PartWidgetFactory.cpp \
		PartWidget.cpp \
		SimplePartWidget.cpp \
		Rfc822HeaderView.cpp \
		AttachmentView.cpp \
		LoadablePartWidget.cpp \
		BaseWindow.cpp \
		Window.cpp \
		MessageWindow.cpp \
		MessageListWindow.cpp \
		SettingsDialog.cpp \
		SettingsNames.cpp \
		ComposeWidget.cpp \
		MsgListView.cpp \
		ExternalElementsWidget.cpp \
		ProtocolLoggerWidget.cpp main.version.cpp \
		moc_ComposeWidget.cpp \
		moc_MessageView.cpp \
		moc_SimplePartWidget.cpp \
		moc_EmbeddedWebView.cpp \
		moc_BaseWindow.cpp \
		moc_Window.cpp \
		moc_MessageWindow.cpp \
		moc_MessageListWindow.cpp \
		moc_Rfc822HeaderView.cpp \
		moc_LoadablePartWidget.cpp \
		moc_PartWidget.cpp \
		moc_SettingsDialog.cpp \
		moc_MsgListView.cpp \
		moc_AttachmentView.cpp \
		moc_ExternalElementsWidget.cpp \
		moc_ProtocolLoggerWidget.cpp \
		qrc_icons.cpp
OBJECTS       = main.o \
		MessageView.o \
		EmbeddedWebView.o \
		PartWidgetFactory.o \
		PartWidget.o \
		SimplePartWidget.o \
		Rfc822HeaderView.o \
		AttachmentView.o \
		LoadablePartWidget.o \
		BaseWindow.o \
		Window.o \
		MessageWindow.o \
		MessageListWindow.o \
		SettingsDialog.o \
		SettingsNames.o \
		ComposeWidget.o \
		MsgListView.o \
		ExternalElementsWidget.o \
		ProtocolLoggerWidget.o \
		main.version.o \
		moc_ComposeWidget.o \
		moc_MessageView.o \
		moc_SimplePartWidget.o \
		moc_EmbeddedWebView.o \
		moc_BaseWindow.o \
		moc_Window.o \
		moc_MessageWindow.o \
		moc_MessageListWindow.o \
		moc_Rfc822HeaderView.o \
		moc_LoadablePartWidget.o \
		moc_PartWidget.o \
		moc_SettingsDialog.o \
		moc_MsgListView.o \
		moc_AttachmentView.o \
		moc_ExternalElementsWidget.o \
		moc_ProtocolLoggerWidget.o \
		qrc_icons.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../install.pri \
		../linking.pri \
		../gitversion.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		MaemoGui.pro
QMAKE_TARGET  = trojita
DESTDIR       = 
TARGET        = trojita

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ../Imap/libImap.a ../MSA/libMSA.a ../Streams/libStreams.a ../iconloader/libiconloader.a ../qwwsmtpclient/libqwwsmtpclient.a ui_CreateMailboxDialog.h ui_ComposeWidget.h ui_SettingsImapPage.h ui_SettingsCachePage.h ui_SettingsOutgoingPage.h ui_Home.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: MaemoGui.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../install.pri \
		../linking.pri \
		../gitversion.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libphonon.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtSql.prl
	$(QMAKE) -unix CONFIG+=maemo -o Makefile MaemoGui.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
../../install.pri:
../linking.pri:
../gitversion.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtWebKit.prl:
/usr/lib/libphonon.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtSql.prl:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=maemo -o Makefile MaemoGui.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/trojita1.0.0 || $(MKDIR) .tmp/trojita1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/trojita1.0.0/ && $(COPY_FILE) --parents main.cpp .tmp/trojita1.0.0/ && $(COPY_FILE) --parents ComposeWidget.h MessageView.h SimplePartWidget.h AbstractPartWidget.h EmbeddedWebView.h BaseWindow.h Window.h MessageWindow.h MessageListWindow.h Rfc822HeaderView.h LoadablePartWidget.h PartWidget.h SettingsNames.h SettingsDialog.h PartWidgetFactory.h MsgListView.h AttachmentView.h ExternalElementsWidget.h ProtocolLoggerWidget.h .tmp/trojita1.0.0/ && $(COPY_FILE) --parents ../icons.qrc .tmp/trojita1.0.0/ && $(COPY_FILE) --parents main.cpp MessageView.cpp EmbeddedWebView.cpp PartWidgetFactory.cpp PartWidget.cpp SimplePartWidget.cpp Rfc822HeaderView.cpp AttachmentView.cpp LoadablePartWidget.cpp BaseWindow.cpp Window.cpp MessageWindow.cpp MessageListWindow.cpp SettingsDialog.cpp SettingsNames.cpp ComposeWidget.cpp MsgListView.cpp ExternalElementsWidget.cpp ProtocolLoggerWidget.cpp .tmp/trojita1.0.0/ && $(COPY_FILE) --parents CreateMailboxDialog.ui ComposeWidget.ui SettingsImapPage.ui SettingsCachePage.ui SettingsOutgoingPage.ui Home.ui .tmp/trojita1.0.0/ && (cd `dirname .tmp/trojita1.0.0` && $(TAR) trojita1.0.0.tar trojita1.0.0 && $(COMPRESS) trojita1.0.0.tar) && $(MOVE) `dirname .tmp/trojita1.0.0`/trojita1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/trojita1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_gitversion_make_all: main.version.cpp
compiler_gitversion_clean:
	-$(DEL_FILE) main.version.cpp
main.version.cpp: Window.h \
		BaseWindow.h \
		../Imap/ConnectionState.h \
		../Imap/Model/Cache.h \
		../Imap/Model/MailboxMetadata.h \
		../Imap/Parser/Message.h \
		../Imap/Parser/Data.h \
		../Imap/Exceptions.h \
		../Imap/Parser/LowLevelParser.h \
		main.cpp \
		FORCE
	echo "const char* gitVersion=\"""`cd /home/btsai/maemo/sandbox/trojita/src;git describe --dirty --long || git describe --long`""\";" > main.version.cpp;

=== src/Streams/Makefile ===
#############################################################################
# Makefile for building: libStreams.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:17 2010
# Project:  Streams.pro
# Template: lib
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile Streams.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I.. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = SocketFactory.cpp \
		IODeviceSocket.cpp \
		DeletionWatcher.cpp \
		FakeSocket.cpp moc_Socket.cpp \
		moc_SocketFactory.cpp \
		moc_IODeviceSocket.cpp \
		moc_DeletionWatcher.cpp \
		moc_FakeSocket.cpp
OBJECTS       = SocketFactory.o \
		IODeviceSocket.o \
		DeletionWatcher.o \
		FakeSocket.o \
		moc_Socket.o \
		moc_SocketFactory.o \
		moc_IODeviceSocket.o \
		moc_DeletionWatcher.o \
		moc_FakeSocket.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		Streams.pro
QMAKE_TARGET  = Streams
DESTDIR       = 
TARGET        = libStreams.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: Streams.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix CONFIG+=maemo -o Makefile Streams.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=maemo -o Makefile Streams.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Streams1.0.0 || $(MKDIR) .tmp/Streams1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Streams1.0.0/ && $(COPY_FILE) --parents Socket.h SocketFactory.h IODeviceSocket.h DeletionWatcher.h FakeSocket.h .tmp/Streams1.0.0/ && $(COPY_FILE) --parents SocketFactory.cpp IODeviceSocket.cpp DeletionWatcher.cpp FakeSocket.cpp .tmp/Streams1.0.0/ && (cd `dirname .tmp/Streams1.0.0` && $(TAR) Streams1.0.0.tar Streams1.0.0 && $(COMPRESS) Streams1.0.0.tar) && $(MOVE) `dirname .tmp/Streams1.0.0`/Streams1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Streams1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_Socket.cpp moc_SocketFactory.cpp moc_IODeviceSocket.cpp moc_DeletionWatcher.cpp moc_FakeSocket.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_Socket.cpp moc_SocketFactory.cpp moc_IODeviceSocket.cpp moc_DeletionWatcher.cpp moc_FakeSocket.cpp
moc_Socket.cpp: ../Imap/ConnectionState.h \
		Socket.h
	/usr/bin/moc $(DEFINES) $(INCPATH) Socket.h -o moc_Socket.cpp

moc_SocketFactory.cpp: Socket.h \
		../Imap/ConnectionState.h \
		SocketFactory.h
	/usr/bin/moc $(DEFINES) $(INCPATH) SocketFactory.h -o moc_SocketFactory.cpp

moc_IODeviceSocket.cpp: Socket.h \
		../Imap/ConnectionState.h \
		IODeviceSocket.h
	/usr/bin/moc $(DEFINES) $(INCPATH) IODeviceSocket.h -o moc_IODeviceSocket.cpp

moc_DeletionWatcher.cpp: DeletionWatcher.h
	/usr/bin/moc $(DEFINES) $(INCPATH) DeletionWatcher.h -o moc_DeletionWatcher.cpp

moc_FakeSocket.cpp: Socket.h \
		../Imap/ConnectionState.h \
		FakeSocket.h
	/usr/bin/moc $(DEFINES) $(INCPATH) FakeSocket.h -o moc_FakeSocket.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

SocketFactory.o: SocketFactory.cpp SocketFactory.h \
		Socket.h \
		../Imap/ConnectionState.h \
		IODeviceSocket.h \
		FakeSocket.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SocketFactory.o SocketFactory.cpp

IODeviceSocket.o: IODeviceSocket.cpp IODeviceSocket.h \
		Socket.h \
		../Imap/ConnectionState.h \
		../Imap/Exceptions.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o IODeviceSocket.o IODeviceSocket.cpp

DeletionWatcher.o: DeletionWatcher.cpp DeletionWatcher.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o DeletionWatcher.o DeletionWatcher.cpp

FakeSocket.o: FakeSocket.cpp FakeSocket.h \
		Socket.h \
		../Imap/ConnectionState.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o FakeSocket.o FakeSocket.cpp

moc_Socket.o: moc_Socket.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_Socket.o moc_Socket.cpp

moc_SocketFactory.o: moc_SocketFactory.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_SocketFactory.o moc_SocketFactory.cpp

moc_IODeviceSocket.o: moc_IODeviceSocket.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_IODeviceSocket.o moc_IODeviceSocket.cpp

moc_DeletionWatcher.o: moc_DeletionWatcher.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_DeletionWatcher.o moc_DeletionWatcher.cpp

moc_FakeSocket.o: moc_FakeSocket.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_FakeSocket.o moc_FakeSocket.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== src/iconloader/Makefile ===
#############################################################################
# Makefile for building: libiconloader.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:17 2010
# Project:  iconloader.pro
# Template: lib
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile iconloader.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I.. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qticonloader.cpp 
OBJECTS       = qticonloader.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		iconloader.pro
QMAKE_TARGET  = iconloader
DESTDIR       = 
TARGET        = libiconloader.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: iconloader.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix CONFIG+=maemo -o Makefile iconloader.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=maemo -o Makefile iconloader.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/iconloader1.0.0 || $(MKDIR) .tmp/iconloader1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/iconloader1.0.0/ && $(COPY_FILE) --parents qticonloader.h .tmp/iconloader1.0.0/ && $(COPY_FILE) --parents qticonloader.cpp .tmp/iconloader1.0.0/ && (cd `dirname .tmp/iconloader1.0.0` && $(TAR) iconloader1.0.0.tar iconloader1.0.0 && $(COMPRESS) iconloader1.0.0.tar) && $(MOVE) `dirname .tmp/iconloader1.0.0`/iconloader1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/iconloader1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

qticonloader.o: qticonloader.cpp qticonloader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qticonloader.o qticonloader.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== src/qwwsmtpclient/Makefile ===
#############################################################################
# Makefile for building: libqwwsmtpclient.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:17 2010
# Project:  qwwsmtpclient.pro
# Template: lib
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile qwwsmtpclient.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I.. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qwwsmtpclient.cpp 
OBJECTS       = qwwsmtpclient.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		qwwsmtpclient.pro
QMAKE_TARGET  = qwwsmtpclient
DESTDIR       = 
TARGET        = libqwwsmtpclient.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: qwwsmtpclient.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix CONFIG+=maemo -o Makefile qwwsmtpclient.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=maemo -o Makefile qwwsmtpclient.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qwwsmtpclient1.0.0 || $(MKDIR) .tmp/qwwsmtpclient1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qwwsmtpclient1.0.0/ && $(COPY_FILE) --parents qwwsmtpclient.h .tmp/qwwsmtpclient1.0.0/ && $(COPY_FILE) --parents qwwsmtpclient.cpp .tmp/qwwsmtpclient1.0.0/ && (cd `dirname .tmp/qwwsmtpclient1.0.0` && $(TAR) qwwsmtpclient1.0.0.tar qwwsmtpclient1.0.0 && $(COMPRESS) qwwsmtpclient1.0.0.tar) && $(MOVE) `dirname .tmp/qwwsmtpclient1.0.0`/qwwsmtpclient1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qwwsmtpclient1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qwwsmtpclient.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qwwsmtpclient.cpp
moc_qwwsmtpclient.cpp: qwwsmtpclient.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qwwsmtpclient.h -o moc_qwwsmtpclient.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qwwsmtpclient.o: qwwsmtpclient.cpp qwwsmtpclient.h \
		moc_qwwsmtpclient.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qwwsmtpclient.o qwwsmtpclient.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== tests/test_Imap_LowLevelParser/Makefile ===
#############################################################################
# Makefile for building: test_Imap_LowLevelParser
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:21 2010
# Project:  test_Imap_LowLevelParser.pro
# Template: app
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile test_Imap_LowLevelParser.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/QtTest -I../../src -I.. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../src/Imap -lImap -L../../src/Streams -lStreams -L../../src/iconloader -liconloader -lQtTest -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = test_Imap_LowLevelParser.cpp moc_test_Imap_LowLevelParser.cpp
OBJECTS       = test_Imap_LowLevelParser.o \
		moc_test_Imap_LowLevelParser.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../src/linking.pri \
		../tests.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		test_Imap_LowLevelParser.pro
QMAKE_TARGET  = test_Imap_LowLevelParser
DESTDIR       = 
TARGET        = test_Imap_LowLevelParser

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ../../src/Imap/libImap.a ../../src/Streams/libStreams.a ../../src/iconloader/libiconloader.a $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: test_Imap_LowLevelParser.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../src/linking.pri \
		../tests.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix CONFIG+=maemo -o Makefile test_Imap_LowLevelParser.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
../../src/linking.pri:
../tests.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=maemo -o Makefile test_Imap_LowLevelParser.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/test_Imap_LowLevelParser1.0.0 || $(MKDIR) .tmp/test_Imap_LowLevelParser1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/test_Imap_LowLevelParser1.0.0/ && $(COPY_FILE) --parents ../qtest_kde.h test_Imap_LowLevelParser.h .tmp/test_Imap_LowLevelParser1.0.0/ && $(COPY_FILE) --parents test_Imap_LowLevelParser.cpp .tmp/test_Imap_LowLevelParser1.0.0/ && (cd `dirname .tmp/test_Imap_LowLevelParser1.0.0` && $(TAR) test_Imap_LowLevelParser1.0.0.tar test_Imap_LowLevelParser1.0.0 && $(COMPRESS) test_Imap_LowLevelParser1.0.0.tar) && $(MOVE) `dirname .tmp/test_Imap_LowLevelParser1.0.0`/test_Imap_LowLevelParser1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/test_Imap_LowLevelParser1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_test_Imap_LowLevelParser.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_test_Imap_LowLevelParser.cpp
moc_test_Imap_LowLevelParser.cpp: ../../src/Imap/Parser/LowLevelParser.h \
		test_Imap_LowLevelParser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) test_Imap_LowLevelParser.h -o moc_test_Imap_LowLevelParser.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

test_Imap_LowLevelParser.o: test_Imap_LowLevelParser.cpp ../qtest_kde.h \
		test_Imap_LowLevelParser.h \
		../../src/Imap/Parser/LowLevelParser.h \
		../../src/Imap/Exceptions.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o test_Imap_LowLevelParser.o test_Imap_LowLevelParser.cpp

moc_test_Imap_LowLevelParser.o: moc_test_Imap_LowLevelParser.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_test_Imap_LowLevelParser.o moc_test_Imap_LowLevelParser.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== tests/test_Imap_Message/Makefile ===
#############################################################################
# Makefile for building: test_Imap_Message
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:21 2010
# Project:  test_Imap_Message.pro
# Template: app
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile test_Imap_Message.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/QtTest -I../../src -I.. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../src/Imap -lImap -L../../src/Streams -lStreams -L../../src/iconloader -liconloader -lQtTest -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = test_Imap_Message.cpp moc_test_Imap_Message.cpp
OBJECTS       = test_Imap_Message.o \
		moc_test_Imap_Message.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../src/linking.pri \
		../tests.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		test_Imap_Message.pro
QMAKE_TARGET  = test_Imap_Message
DESTDIR       = 
TARGET        = test_Imap_Message

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ../../src/Imap/libImap.a ../../src/Streams/libStreams.a ../../src/iconloader/libiconloader.a $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: test_Imap_Message.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../src/linking.pri \
		../tests.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix CONFIG+=maemo -o Makefile test_Imap_Message.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
../../src/linking.pri:
../tests.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=maemo -o Makefile test_Imap_Message.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/test_Imap_Message1.0.0 || $(MKDIR) .tmp/test_Imap_Message1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/test_Imap_Message1.0.0/ && $(COPY_FILE) --parents ../qtest_kde.h test_Imap_Message.h .tmp/test_Imap_Message1.0.0/ && $(COPY_FILE) --parents test_Imap_Message.cpp .tmp/test_Imap_Message1.0.0/ && (cd `dirname .tmp/test_Imap_Message1.0.0` && $(TAR) test_Imap_Message1.0.0.tar test_Imap_Message1.0.0 && $(COMPRESS) test_Imap_Message1.0.0.tar) && $(MOVE) `dirname .tmp/test_Imap_Message1.0.0`/test_Imap_Message1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/test_Imap_Message1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_test_Imap_Message.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_test_Imap_Message.cpp
moc_test_Imap_Message.cpp: ../../src/Imap/Parser/Message.h \
		../../src/Imap/Parser/Data.h \
		../../src/Imap/Exceptions.h \
		../../src/Imap/Parser/LowLevelParser.h \
		test_Imap_Message.h
	/usr/bin/moc $(DEFINES) $(INCPATH) test_Imap_Message.h -o moc_test_Imap_Message.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

test_Imap_Message.o: test_Imap_Message.cpp ../qtest_kde.h \
		test_Imap_Message.h \
		../../src/Imap/Parser/Message.h \
		../../src/Imap/Parser/Data.h \
		../../src/Imap/Exceptions.h \
		../../src/Imap/Parser/LowLevelParser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o test_Imap_Message.o test_Imap_Message.cpp

moc_test_Imap_Message.o: moc_test_Imap_Message.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_test_Imap_Message.o moc_test_Imap_Message.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== tests/test_Imap_Model/Makefile ===
#############################################################################
# Makefile for building: test_Imap_Model
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 1 00:19:22 2010
# Project:  test_Imap_Model.pro
# Template: app
# Command: /usr/bin/qmake -unix CONFIG+=maemo -o Makefile test_Imap_Model.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/QtTest -I../../src -I.. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../src/Imap -lImap -L../../src/Streams -lStreams -L../../src/iconloader -liconloader -lQtTest -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = test_Imap_Model.cpp moc_test_Imap_Model.cpp
OBJECTS       = test_Imap_Model.o \
		moc_test_Imap_Model.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../src/linking.pri \
		../tests.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		test_Imap_Model.pro
QMAKE_TARGET  = test_Imap_Model
DESTDIR       = 
TARGET        = test_Imap_Model

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ../../src/Imap/libImap.a ../../src/Streams/libStreams.a ../../src/iconloader/libiconloader.a $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: test_Imap_Model.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../src/linking.pri \
		../tests.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix CONFIG+=maemo -o Makefile test_Imap_Model.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
../../src/linking.pri:
../tests.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix CONFIG+=maemo -o Makefile test_Imap_Model.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/test_Imap_Model1.0.0 || $(MKDIR) .tmp/test_Imap_Model1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/test_Imap_Model1.0.0/ && $(COPY_FILE) --parents ../qtest_kde.h test_Imap_Model.h .tmp/test_Imap_Model1.0.0/ && $(COPY_FILE) --parents test_Imap_Model.cpp .tmp/test_Imap_Model1.0.0/ && (cd `dirname .tmp/test_Imap_Model1.0.0` && $(TAR) test_Imap_Model1.0.0.tar test_Imap_Model1.0.0 && $(COMPRESS) test_Imap_Model1.0.0.tar) && $(MOVE) `dirname .tmp/test_Imap_Model1.0.0`/test_Imap_Model1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/test_Imap_Model1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_test_Imap_Model.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_test_Imap_Model.cpp
moc_test_Imap_Model.cpp: ../../src/Imap/Model/Model.h \
		../../src/Imap/Model/Cache.h \
		../../src/Imap/Model/MailboxMetadata.h \
		../../src/Imap/Parser/Message.h \
		../../src/Imap/Parser/Data.h \
		../../src/Imap/Exceptions.h \
		../../src/Imap/Parser/LowLevelParser.h \
		../../src/Imap/ConnectionState.h \
		../../src/Imap/Parser/Parser.h \
		../../src/Imap/Parser/Command.h \
		../../src/Imap/Parser/Response.h \
		../../src/Streams/Socket.h \
		../../src/Streams/SocketFactory.h \
		test_Imap_Model.h
	/usr/bin/moc $(DEFINES) $(INCPATH) test_Imap_Model.h -o moc_test_Imap_Model.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

test_Imap_Model.o: test_Imap_Model.cpp test_Imap_Model.h \
		../../src/Imap/Model/Model.h \
		../../src/Imap/Model/Cache.h \
		../../src/Imap/Model/MailboxMetadata.h \
		../../src/Imap/Parser/Message.h \
		../../src/Imap/Parser/Data.h \
		../../src/Imap/Exceptions.h \
		../../src/Imap/Parser/LowLevelParser.h \
		../../src/Imap/ConnectionState.h \
		../../src/Imap/Parser/Parser.h \
		../../src/Imap/Parser/Command.h \
		../../src/Imap/Parser/Response.h \
		../../src/Streams/Socket.h \
		../../src/Streams/SocketFactory.h \
		../../src/Streams/FakeSocket.h \
		../../src/Imap/Model/MemoryCache.h \
		../../src/Imap/Model/MailboxModel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o test_Imap_Model.o test_Imap_Model.cpp

moc_test_Imap_Model.o: moc_test_Imap_Model.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_test_Imap_Model.o moc_test_Imap_Model.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## trojita 0.1-1

=== debian/changelog ===
trojita (0.1-1) unstable; urgency=low

  * Initial release

 -- Benson Tsai <btsai@vrwarp.com>  Thu, 15 Jul 2010 16:39:24 +0300

=== debian/control ===
Source: trojita
Section: user/utilities
Priority: extra
Maintainer: Benson Tsai <btsai@vrwarp.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libx11-dev
Standards-Version: 3.7.3

Package: trojita
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtm-contacts, libqt4-dbus, libqt4-gui, libqt4-sql-sqlite, libsqlite3-0
Description: A Qt IMAP e-mail client
XB-Maemo-Display-Name: Trojitá
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1773
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
 SU1FB9oHFgc7OzDVUSMAAArrSURBVGje7ZltbFvXecd/59xLUqRkSZQYibZl
 yY0jN3OKOM78kirekKTw4jYtWgzYOmxfsn0YNhTYBgwbigEbNmxD12LrUAwI
 MKAdBgRD1jRD1W3N0DSuktiqmy6WFSe260SOFNl6sUSKlMS3y/O2D7yUKVWS
 abvbOiwPcXAvL8+9/P/P83Ke57nwgXwg/79FbBg/beIaxqbiAxGgJTzKnxIi
 ddAKqADVrUj44WgHkkAi/P6/LQYoAznAhkQ2JSCefvrp77S0tOxUSvlKKV9r
 7Rlj7kgLzrmmrm33CCklUkoTjUZ1NBpV0WhUe57nACqVStvCwsLJ4eHhqTUN
 pFKp/gceeOD+o0eP0t/f3zRI59za2Ox6M/M33gsghMDzPDzPQwiBEAKlFCMj
 I2QymeqpU6f6gJsEIpFI+cknn2RiYoIrV65w4sQJ2tra7ppAM9c3akdKuQ48
 wOuvv87y8jJDQ0OMjY3pzXwAIQSDg4Ps3buXkZER4vE4jz/+OJ7n/Td6qVgL
 F0IIhJR40sOTEiEFU5OTXLp0if3793Pfffdt+RxfSrnGNhqNcuTIEXK5HMPD
 wwwODvLggw/+5GKhEDhEeN4QxaUEKbBCsrq6wujoKKnuJI888sh6hxWCLTXQ
 OKm7u5uhoSGuXr3K888/z2OPPUZPT89t7jAC3Hrw1tXCi3FgnKhdQ+KsQFUN
 337lNV6cLnOh5QEGcpq/TTsGdsjbI7D2g+8zODjIwMAAZ8+eRQjByZMniUQi
 TYJ34YqDtqCswzqwztW0IAQOCUJw7sJFht+6xrnuIxR6fcrLRcaXNb/28jKv
 fiaJL7cOitvGfCklsViMI0eOkM/neeGFF9izZw/Hjx+/xbYpsCFwbWugrXW1
 39xNbczNzfHsK+c4G/swwe7HsdZiCxWwFpzgekkwljEc7dkaplxzoi2GlJJo
 NEoqleL48eMIIXj22Wd599131+ZszE6sA2UcxoaRZi3a1Ow9qFb5h2++xOeG
 L/GcOEyupRejDdWqphooqspgw3vi/no8TZvQRvE8j0Qiwb59++jp6eHixYuM
 j49z4sQJ2tvbb26hzqFtHXMYOhE1swJOj36fy+9Nc2D/fg4PtvBqNsO/F9ME
 CiolRakcYEztAY8kqxxMRe7MBzY3bUEsFsP3fR5++GGy2SzDw8Ok02meeOJj
 WCFC8I7aB4SQeAIm35vg7fExjh09yhNHDlK1gowWfLRXcPqHS0wVLOWKQlU1
 zlri0vBXx7tviU3eSVj0PI/W1lbS6TRDQ0O8nYff/MLfM/rG+DqyvgBdWua7
 3/4WplLik089RfKee1jRMFuVzJQFr72X591VSaFQQVWqWGuROL54OMJ9XbFb
 YvG3sq1mSKy6KH/zTpR/murBqQivfP1NfuX75/itX3qKdE+KM2fOsLKywuHD
 h2nvTFKxgiUF1wOP6bLgxYkVRuegEiisrulM4viTj1g+/TM92DAoSBGmyXdr
 Qo1yflHxlfECQXGVX0iuck/LAscP9bCrM8Hli29xYVxx7Ngx2js6mF/MMjmf
 RXT2MF2WnJrTnL6hWa74OAwgEMIRF5Y/e8jjUwd6yWsITC2aeQJiHlREVJh4
 MoJztRvuJnU+2O3xpYOKXK5CLJZk377DtTBoLVJKfN9HSomyjlhHF1Yqzkzl
 +eaMx/VqFIdFKYM1DkIr+NmU4GIhwujZPBoPLTxkxCfiSVp9cKV0ZOrgLw6l
 /pU3MrgCCHfHGqgnXPfeey+tra1rm99mjr8cWL58LsfIgsSGqb41Fmsdxtow
 qXOMLkpGMwrhefhSEIlJ4jFHNObheRKld/nFVPIvgvcn/iD+1/qr5cLI5+/I
 B7TWZDIZdu/evW2IqxrHl8/O8cxlRcV5OCEQ9c3MWQjzorWcIzwVzqClxTgL
 zuJFfGItUaTvobWiUvE7hOd+P9G+K7htDZRKJUqlEnv27Fkzl83kny8s8Jfn
 iswGfhjsbpa2vnD0RjSdnqan1aMjAq3+zXS9rCyrgWaq7DGvdqCrMWw85Olk
 LU0BsOY3bssH8vk8sViMdDq9JfizUzn+6MwSFwpRwKfL13woYTjQKTi8M8FH
 BzrZ29mCwCGEYG5ujlQqtemzihXFq1em+cd5waSNo5UhqFYx1tTUKESyaQ0s
 LCzQ3d1NNBrFObfpH95YDfjRUpXfOdROV9xnsLuFXR3xLQqj2mr39/czOztL
 IpEgHq/NtQ6qFpZFlEjvh0guZXinrChXAoJyteb4AJXim7ckoJQin8/T19eH
 Uort5vfuiPHrD/c2vavXy8WdO3eSz+dZWl4h0d7JqnbkApgpO16+muXcagul
 oEK5EqCVqe30RpXcldN/uq0TFwoFtNb09fURBMGW9n43YoFioCDRQaFU5dLs
 Cqalg3MzeV56v8J7lWgtyVMGqzQWwNqK/sHX/1j/y5+/tKUP5HI54vE4nZ2d
 P3HwxtXS7KqFghEsa8li4Fgse/xwXvCDmRtcD6JUtY+qVtHaYOtRSgdFPfK1
 z+v/+MpXAfNjJuSc48aNG6TTaRyC771f5NFdMe4GvgtXOtCgnKBoYFnBkhIs
 lhXn50tczGquFgUrSqBUDbjRBmsNYcRll8na8re+8KXZ0X/7WtjwWp9KBEFA
 LpdjYGCA2dlZPM8j7sf5+W/M87mD7Xx2f2Lb6qjunMY5LAIdlo4VCwUFK0aQ
 V47pfIX/nK9wdcUwG3gUtcAYh9IGHZhwxe1a1yImLZ/pWOBQ8a3qd5Putdla
 02t9RVYoFDDG0N/fTxAEdHV1MTY2htOa371/gN87neOLbyzz6X0JPrE3zrF0
 DBGurHX1OtehrSBwgrKBkoGigUzZMH6jzNtLAZMFwZLyavONxBiN1iZMK0wt
 OlkHAqLS8XPxLB+LTPPxoUNMTwf2le+d0j+WzGWzWdra2kgmkwRBsBYlDh06
 xPnz59kxM8Yf9nbydwu7eebNVZ55c5VUXHI0HePezih9bR7dCR/tBFULmVLA
 +8uamZJmrgQ3VASDQDiBsWBsFaMMxjqsNjhnb9o4EPcMj7Xl+GRHlof29bF/
 /6fIZDL1XGudCfgzMzM7nnvuuSXP86hUKv5mrcDFxUWZzWblo5EOMdZ/Mjrf
 PuhlypYXJ8tIUUHIel/nZnik0a+sqpmEtWFR73C2NtYKE6vpXblqBvIX9a6V
 CdO1I2GvpVJ27p23GBkZ0UIIJiYmPCFEEPZjXL0xEw01IQGvoUMtN7TeO4AD
 QLt/4rcPeMd++RMyufMjCCFEmOMIKcI6rCF1cGJt61+/OM65Ym7aLU5ftpNj
 l+3Z539kMpMzwCwwBwR1Cw2bvY1H20ggHrbW/QYCchMCdVLdwB6gWw48lPQf
 /dWDcvf9+2jv6RfxHfcg/fV9F6sV1XLOVYrLrGYXbGbqmp2+cE2//fI1stfz
 YQc6BywCpYag1QjeALrhaNfaTUBrgxa8hrEVibptRIEuoBNoC1vzEeKdEdna
 USNhrbNL14phe1wBxYax2gC4cWxc9TpwFZ7Xv68jELsFAbkB/MbzdaVCgzmq
 8M8at4SNx83Ab1z9Oni1kYC/zYMaX0O5LbQgNnllZTfZx9iChGuChN3uNZPf
 oCYabtjKkTcCFxvAb7cZ344W3CZaWOe8jQRMA3gvJLMd8O1WvxkCzZDYiojd
 +OLPb7AnGZ43A/p2wN8uiVsRchv/WG4BliaA0wQR1yQxdwtzc5vNEU3asWjy
 2u0kqM0SddvNuZMV/Z94R/yB/J+R/wIlKQtczEqjDgAAAABJRU5ErkJggg=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := trojita
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
